package httpj

import (
	"net/http"
	"strconv"
)

func GetUserIdFromHeader(header http.Header) (int64, error) {
	id := header.Get("x-auth-user-id")
	if id == "" {
		return 0, http.ErrNoCookie
	}
	intId, err := strconv.ParseInt(id, 10, 64)
	if err != nil {
		return 0, err
	}
	return intId, nil
}

func GetUserIsAdminFromHeader(header http.Header) (bool, error) {
	isAdmin := header.Get("x-auth-is-admin")
	if isAdmin == "" {
		return false, nil
	}
	boolIsAdmin, err := strconv.ParseBool(isAdmin)
	if err != nil {
		return false, err
	}
	return boolIsAdmin, nil
}
